Name: vte3
Version: 0.28.1
Release: 1%{?dist}
Summary: A terminal emulator
License: LGPLv2+
Group: User Interface/X
#VCS: git:git://git.gnome.org/vte
Source: http://download.gnome.org/sources/vte/0.28/vte-%{version}.tar.xz
Patch0: honey-I-shrank-the-terminal.patch


BuildRequires: gtk3-devel >= 2.99.3
BuildRequires: ncurses-devel
BuildRequires: gettext
BuildRequires: libXt-devel
BuildRequires: intltool
BuildRequires: gobject-introspection-devel

# initscripts creates the utmp group
Requires: initscripts

%description
VTE is a terminal emulator widget for use with GTK+.

%package devel
Summary: Files needed for developing applications which use vte
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: ncurses-devel

%description devel
The vte-devel package includes the header files and developer docs
for the vte package.

Install vte-devel if you want to develop programs which will use
vte.

%prep
%setup -q -n vte-%{version}
%patch0 -p1 -b .grow-up

%build
%configure \
        --enable-shared \
        --disable-static \
        --with-gtk=3.0 \
        --libexecdir=%{_libdir}/vte-2.90 \
        --without-glX \
        --disable-gtk-doc \
        --enable-introspection
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang vte-2.90

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f vte-2.90.lang
%defattr(-,root,root)
%doc COPYING HACKING NEWS README
%doc src/iso2022.txt
%doc doc/utmpwtmp.txt doc/boxes.txt doc/openi18n/UTF-8.txt doc/openi18n/wrap.txt
%{_libdir}/*.so.*
%dir %{_libdir}/vte-2.90
%attr(2711,root,utmp) %{_libdir}/vte-2.90/gnome-pty-helper
%{_datadir}/vte
%{_libdir}/girepository-1.0

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_bindir}/vte2_90
%doc %{_datadir}/gtk-doc/html/vte-2.90
%{_datadir}/gir-1.0


%changelog
* Wed Jul 13 2011 Matthias Clasen <mclasen@redhat.com> 0.28.1-1
- Update to 2.28.1

* Mon Apr  4 2011 Matthias Clasen <mclasen@redhat.com> 0.28.0-1
- Update to 0.28.0

* Thu Feb 24 2011 Matthias Clasen <mclasen@redhat.com> 0.27.90-2
- Enable introspection

* Tue Feb 22 2011 Matthias Clasen <mclasen@redhat.com> 0.27.90-1
- Update to 0.27.90

* Thu Feb 10 2011 Matthias Clasen <mclasen@redhat.com> 0.27.5-3
- Rebuild against newer gtk

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> 0.27.5-1
- 0.27.5

* Fri Jan 14 2011 Matthias Clasen <mclasen@redhat.com> 0.27.4-2
- Stop shrinking-terminal disease

* Tue Jan 11 2011 Matthias Clasen <mclasen@redhat.com> 0.27.4-1
- Update to 0.27.4

* Fri Jan  7 2011 Matthias Clasen <mclasen@redhat.com> 0.27.3-1
- Update to 0.27.3

* Fri Dec  3 2010 Matthias Clasen <mclasen@redhat.com> 0.27.2-2
- Rebuild against new gtk

* Thu Nov 11 2010 Matthias Clasen <mclasen@redhat.com> 0.27.2-1
- Update to 0.27.2

* Mon Nov  1 2010 Matthias Clasen <mclasen@redhat.com> 0.27.2-0.1.git512516
- Git snapshot that builds with recent gtk3

* Mon Oct  4 2010 Matthias Clasen <mclasen@redhat.com> 0.27.0-1
- Initial packaging
